package dao;

import java.util.List;

import trip.Company;
import trip.Person;
import trip.Trip;

public interface PersonDAO extends GenericDao<Person> {
	List<Person> getByInfo(String fN, 
						   String lN, 
						   String mN, 
						   String pN, 
						   String email, 
						   Integer min, 
						   Integer max, 
						   Company company, 
						   Integer trip);
	List<Person> getByCompany(Company company);
	List<Person> getByTrip(Trip trip);
	Person getByEmail(String email);
}
